> ## Documentation Index
> Fetch the complete documentation index at: https://docs.silnahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create bulk export

This API will kick off an asynchronous job to create a bulk export csv and return a `bulk_export_id`. To know when your export is complete,
you will have to poll with the [Get Bulk Exports API](/api-reference/v1bulkexportresource/get-bulk-export).

The body of the bulk export request allows you to set filters on the data you want. For example, if you only wanted
to get all payor approved prior authorizations in 2024, you would make a request like the below, replacing the example `provider_id` with the provider ID you want to get data for.

```
{
  "export_params": {
    "export_type": "PRIOR_AUTHORIZATION",
    "date_range_start_date": "2024-01-01",
    "date_range_end_date": "2025-01-01",
    "date_range_key": "created_at",
    "statuses": ["PAYOR_APPROVED"]
  },
  "provider_id": "0194a843-5821-70e2-bbe9-0f986c05984d"
}
```

If you want to make requests for eligibility checks, benefits checks, payor detections/discovery, or patients,
you can replace the `export_type` with `ELIGIBILITY_CHECK`, `BENEFITS_CHECK`, `PAYOR_DETECTION`, or `PATIENT` respectively.

### CSV Schemas Generated

#### Prior Authorizations

* patient\_ehr\_id (optional)
* created\_at (YYYY-MM-DD)
* submitted\_on (YYYY-MM-DD, optional)
* first\_name
* last\_name
* patient\_code
* service\_location\_name
* authorization\_type
* start\_date (YYYY-MM-DD)
* end\_date (YYYY-MM-DD, optional)
* authorization\_reference\_number (optional)
* status
* treatment\_codes (list of treatment code objects containing):
  * treatment\_code
  * modifiers (optional list)
  * units (decimal)
  * unit\_type
  * time\_frame
* specialty (optional)
* payor
* member\_number (optional)

#### Benefits Checks

* patient\_ehr\_id (optional)
* created\_at (YYYY-MM-DD)
* date\_verified (YYYY-MM-DD, optional)
* first\_name
* last\_name
* patient\_code
* service\_location\_name
* patient\_status
* patient\_date\_of\_birth (YYYY-MM-DD, optional)
* eligibility\_status (optional)
* network\_status (optional)
* payor
* member\_number (optional)
* group\_number (optional)
* plan\_start\_date (YYYY-MM-DD, optional)
* plan\_end\_date (YYYY-MM-DD, optional)
* plan\_type (optional)
* subscriber\_first\_name (optional)
* subscriber\_last\_name (optional)
* subscriber\_date\_of\_birth (YYYY-MM-DD, optional)
* subscriber\_address (optional)
* subscriber\_city (optional)
* subscriber\_state (optional)
* subscriber\_zip\_code (optional)
* subscriber\_patient\_relationship (optional
* copay (decimal, optional)
* coinsurance (decimal, optional)
* individual\_deductible (decimal, optional)
* individual\_deductible\_met (decimal, optional)
* family\_deductible (decimal, optional)
* family\_deductible\_met (decimal, optional)
* individual\_out\_of\_pocket (decimal, optional)
* individual\_out\_of\_pocket\_met (decimal, optional)
* family\_out\_of\_pocket (decimal, optional)
* family\_out\_of\_pocket\_met (decimal, optional)
* hard\_visit\_limit\_present (boolean, optional)
* hard\_visit\_limit\_units (integer, optional)
* hard\_visit\_limit\_unit\_type (optional)
* referral\_required (boolean, optional)
* authorization\_required (boolean, optional)
* authorization\_not\_required (boolean, optional)
* authorization\_requirement\_time (optional)
* authorization\_requirement\_quantity (decimal, optional)
* authorization\_requirement\_unit (optional)
* specialty (optional)
* cost\_estimate\_copy (optional)
* payor\_type (optional)
* exclusions\_and\_limitations (optional)

If you are using Rates, we will also include each rate that you have set up as a column in the CSV.

#### Eligibility Checks

* patient\_ehr\_id (optional)
* created\_at (YYYY-MM-DD)
* date\_verified (YYYY-MM-DD, optional)
* first\_name
* last\_name
* patient\_code
* service\_location\_name
* patient\_status
* patient\_date\_of\_birth (YYYY-MM-DD, optional)
* payor
* member\_number (optional)
* group\_number (optional)
* eligibility\_status (optional)

#### Payor Detections

* patient\_ehr\_id (optional)
* first\_name
* last\_name
* patient\_code
* payor
* member\_number (optional)
* date\_found (YYYY-MM-DD)
* status

#### Patients

* patient\_ehr\_id (optional)
* first\_name
* last\_name
* patient\_code
* date\_of\_birth (YYYY-MM-DD)
* status
* specialties (list)
* plans (list of plan objects containing):
  * payor\_name
  * plan\_order\_number
  * member\_number (optional)
* service\_location (optional)

#### Escalation - Prior Authorizations

* escalation\_reason
* provider\_service\_location\_name
* escalation\_type
* patient\_name (optional)
* patient\_code (optional)
* patient\_ehr\_id (optional)
* resolved\_by\_provider\_user\_name (optional)
* resolved\_at (datetime, optional)
* reopened\_reasons (optional, list of objects containing):
  * reason (optional)
  * created\_at
* created\_at (YYYY-MM-DD, optional)
* payor\_name (optional)
* prior\_authorization\_start\_date (YYYY-MM-DD, optional)
* prior\_authorization\_end\_date (YYYY-MM-DD, optional)
* prior\_authorization\_specialty (optional)

#### Escalation - Benefits Checks

* escalation\_reason
* provider\_service\_location\_name
* escalation\_type
* patient\_name (optional)
* patient\_code (optional)
* patient\_ehr\_id (optional)
* resolved\_by\_provider\_user\_name (optional)
* resolved\_at (datetime, optional)
* reopened\_reasons (optional, list of objects containing):
  * reason (optional)
  * created\_at
* created\_at (YYYY-MM-DD, optional)
* payor\_name (optional)

#### Escalation - Eligibility Checks

* escalation\_reason
* provider\_service\_location\_name
* escalation\_type
* patient\_name (optional)
* patient\_code (optional)
* patient\_ehr\_id (optional)
* resolved\_by\_provider\_user\_name (optional)
* resolved\_at (datetime, optional)
* reopened\_reasons (optional, list of objects containing):
  * reason (optional)
  * created\_at
* created\_at (YYYY-MM-DD, optional)
* payor\_name (optional)

#### Escalation - EHR Syncs

* escalation\_reason
* provider\_service\_location\_name
* escalation\_type
* patient\_name (optional)
* patient\_code (optional)
* patient\_ehr\_id (optional)
* resolved\_by\_provider\_user\_name (optional)
* resolved\_at (datetime, optional)
* reopened\_reasons (optional, list of objects containing):
  * reason (optional)
  * created\_at
* created\_at (YYYY-MM-DD, optional)
* payor\_name (optional)


## OpenAPI

````yaml post /public/v1/bulk-export/
openapi: 3.0.2
info:
  title: Silna Public API
  version: '1.0'
servers:
  - url: https://app.silnahealth.com/api
security:
  - bearerAuth: []
paths:
  /public/v1/bulk-export/:
    post:
      tags:
        - V1BulkExportResource
      summary: Create bulk export
      operationId: V1BulkExportResource.post
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/V1BulkExportCreateParams'
        description: |2-

              Create Parameters for Bulk Export
              
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/V1BulkExportCreateResponse'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
        '429':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsError'
          headers:
            X-RateLimit-Limit:
              schema:
                type: integer
                description: The maximum number of requests allowed in the time window
            X-RateLimit-Remaining:
              schema:
                type: integer
                description: The number of requests remaining in the current time window
            X-RateLimit-Reset:
              schema:
                type: integer
                description: The time when the rate limit will reset, in Unix timestamp
            Retry-After:
              schema:
                type: number
                description: The number of seconds to wait before making another request
components:
  schemas:
    V1BulkExportCreateParams:
      description: Create Parameters for Bulk Export
      properties:
        export_params:
          discriminator:
            mapping:
              BENEFITS_CHECK:
                $ref: '#/components/schemas/V1BenefitsCheckExportQueryParams'
              ELIGIBILITY_CHECK:
                $ref: '#/components/schemas/V1EligibilityCheckExportQueryParams'
              ESCALATION_BENEFITS_CHECK:
                $ref: >-
                  #/components/schemas/V1EscalationBenefitsCheckExportQueryParams
              ESCALATION_EHR_SYNC:
                $ref: '#/components/schemas/V1EscalationEhrSyncExportQueryParams'
              ESCALATION_ELIGIBILITY_CHECK:
                $ref: >-
                  #/components/schemas/V1EscalationEligibilityCheckExportQueryParams
              ESCALATION_PRIOR_AUTHORIZATION:
                $ref: >-
                  #/components/schemas/V1EscalationPriorAuthorizationExportQueryParams
              PATIENT:
                $ref: '#/components/schemas/V1PatientExportQueryParams'
              PAYOR_DETECTION:
                $ref: '#/components/schemas/V1PayorDetectionExportQueryParams'
              PRIOR_AUTHORIZATION:
                $ref: '#/components/schemas/V1PriorAuthorizationExportQueryParams'
            propertyName: export_type
          oneOf:
            - $ref: '#/components/schemas/V1PriorAuthorizationExportQueryParams'
              title: Prior Auth Export Params
            - $ref: '#/components/schemas/V1BenefitsCheckExportQueryParams'
              title: Benefits Export Params
            - $ref: '#/components/schemas/V1EligibilityCheckExportQueryParams'
              title: Eligibility Export Params
            - $ref: '#/components/schemas/V1PayorDetectionExportQueryParams'
              title: Payor Detection Export Params
            - $ref: '#/components/schemas/V1PatientExportQueryParams'
              title: Patient Export Params
            - $ref: >-
                #/components/schemas/V1EscalationPriorAuthorizationExportQueryParams
              title: Escalation Prior Authorization Export Params
            - $ref: '#/components/schemas/V1EscalationBenefitsCheckExportQueryParams'
              title: Escalation Benefits Check Export Params
            - $ref: >-
                #/components/schemas/V1EscalationEligibilityCheckExportQueryParams
              title: Escalation Eligibility Check Export Params
            - $ref: '#/components/schemas/V1EscalationEhrSyncExportQueryParams'
              title: Escalation EHR Sync Export Params
        provider_id:
          format: uuid
          title: Provider Id
          type: string
      required:
        - export_params
        - provider_id
      title: V1BulkExportCreateParams
      type: object
      x-folder: public_api
    V1BulkExportCreateResponse:
      properties:
        bulk_export_id:
          format: uuid
          title: Bulk Export Id
          type: string
      required:
        - bulk_export_id
      title: V1BulkExportCreateResponse
      type: object
      x-folder: public_api
    ValidationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    AuthenticationError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
        type:
          $ref: '#/components/schemas/PublicApiErrorType'
      x-folder: null
    TooManyRequestsError:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Human readable error message
      x-folder: null
    V1BenefitsCheckExportQueryParams:
      description: Benefits Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - BENEFITS_CHECK
        date_range_start_date:
          default: null
          description: In ISO 8601 formatted date string
          title: Date Range Start Date
          nullable: true
          type: string
          example: '2024-02-01'
        date_range_end_date:
          default: null
          description: In ISO 8601 formatted date string
          title: Date Range End Date
          nullable: true
          type: string
          example: '2024-02-01'
        date_range_key:
          $ref: '#/components/schemas/BenefitsCheckDateRangeKey'
          default: null
          description: >-
            The date key to use for date range filtering. This must be provided
            when using date range filters.
          nullable: true
        patient_id:
          default: null
          title: Patient Id
          nullable: true
          format: uuid
          type: string
        patient_plan_id:
          default: null
          title: Patient Plan Id
          nullable: true
          format: uuid
          type: string
        payor_entity_ids:
          default: null
          title: Payor Entity Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        statuses:
          default: null
          title: Statuses
          nullable: true
          items:
            $ref: '#/components/schemas/BenefitsCheckStatusPublic'
          type: array
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
      required:
        - export_type
      title: V1BenefitsCheckExportQueryParams
      type: object
      x-folder: public_api
    V1EligibilityCheckExportQueryParams:
      description: Eligibility Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - ELIGIBILITY_CHECK
        date_range_start_date:
          default: null
          description: In ISO 8601 formatted date string
          title: Date Range Start Date
          nullable: true
          type: string
          example: '2024-02-01'
        date_range_end_date:
          default: null
          description: In ISO 8601 formatted date string
          title: Date Range End Date
          nullable: true
          type: string
          example: '2024-02-01'
        date_range_key:
          $ref: '#/components/schemas/EligibilityDateRangeKey'
          default: null
          description: >-
            The date key to use for date range filtering. This must be provided
            when using date range filters.
          nullable: true
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        statuses:
          default: null
          title: Statuses
          nullable: true
          items:
            $ref: '#/components/schemas/EligibilityCheckStatus'
          type: array
        payor_entity_ids:
          default: null
          title: Payor Entity Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        patient_id:
          default: null
          title: Patient Id
          nullable: true
          format: uuid
          type: string
        plan_id:
          default: null
          title: Plan Id
          nullable: true
          format: uuid
          type: string
      required:
        - export_type
      title: V1EligibilityCheckExportQueryParams
      type: object
      x-folder: public_api
    V1EscalationBenefitsCheckExportQueryParams:
      description: Escalation Benefits Check Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - ESCALATION_BENEFITS_CHECK
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        statuses:
          default: null
          description: >-
            Filter by provider-facing status: NEW, IN_PROGRESS, RESOLVED,
            WITHDRAWN.
          title: Statuses
          nullable: true
          items:
            $ref: '#/components/schemas/EscalationProviderDisplayStatus'
          type: array
        patient_id:
          default: null
          title: Patient Id
          nullable: true
          format: uuid
          type: string
      required:
        - export_type
      title: V1EscalationBenefitsCheckExportQueryParams
      type: object
      x-folder: public_api
    V1EscalationEhrSyncExportQueryParams:
      description: Escalation EHR Sync Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - ESCALATION_EHR_SYNC
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        statuses:
          default: null
          description: >-
            Filter by provider-facing status: NEW, IN_PROGRESS, RESOLVED,
            WITHDRAWN.
          title: Statuses
          nullable: true
          items:
            $ref: '#/components/schemas/EscalationProviderDisplayStatus'
          type: array
        patient_id:
          default: null
          title: Patient Id
          nullable: true
          format: uuid
          type: string
      required:
        - export_type
      title: V1EscalationEhrSyncExportQueryParams
      type: object
      x-folder: public_api
    V1EscalationEligibilityCheckExportQueryParams:
      description: Escalation Eligibility Check Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - ESCALATION_ELIGIBILITY_CHECK
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        statuses:
          default: null
          description: >-
            Filter by provider-facing status: NEW, IN_PROGRESS, RESOLVED,
            WITHDRAWN.
          title: Statuses
          nullable: true
          items:
            $ref: '#/components/schemas/EscalationProviderDisplayStatus'
          type: array
        patient_id:
          default: null
          title: Patient Id
          nullable: true
          format: uuid
          type: string
      required:
        - export_type
      title: V1EscalationEligibilityCheckExportQueryParams
      type: object
      x-folder: public_api
    V1EscalationPriorAuthorizationExportQueryParams:
      description: Escalation Prior Authorization Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - ESCALATION_PRIOR_AUTHORIZATION
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        statuses:
          default: null
          description: >-
            Filter by provider-facing status: NEW, IN_PROGRESS, RESOLVED,
            WITHDRAWN.
          title: Statuses
          nullable: true
          items:
            $ref: '#/components/schemas/EscalationProviderDisplayStatus'
          type: array
        patient_id:
          default: null
          title: Patient Id
          nullable: true
          format: uuid
          type: string
      required:
        - export_type
      title: V1EscalationPriorAuthorizationExportQueryParams
      type: object
      x-folder: public_api
    V1PatientExportQueryParams:
      description: Patient Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - PATIENT
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        statuses:
          default: null
          title: Statuses
          nullable: true
          items:
            $ref: '#/components/schemas/PatientStatus'
          type: array
        payor_entity_ids:
          default: null
          title: Payor Entity Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
      required:
        - export_type
      title: V1PatientExportQueryParams
      type: object
      x-folder: public_api
    V1PayorDetectionExportQueryParams:
      description: Payor Detection Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - PAYOR_DETECTION
        payor_entity_ids:
          default: null
          title: Payor Entity Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        is_resolved:
          default: null
          title: Is Resolved
          nullable: true
          type: boolean
      required:
        - export_type
      title: V1PayorDetectionExportQueryParams
      type: object
      x-folder: public_api
    V1PriorAuthorizationExportQueryParams:
      description: Prior Auth Export Params
      properties:
        export_type:
          title: Export Type
          type: string
          enum:
            - PRIOR_AUTHORIZATION
        date_range_start_date:
          default: null
          description: In ISO 8601 formatted date string
          title: Date Range Start Date
          nullable: true
          type: string
          example: '2024-01-01'
        date_range_end_date:
          default: null
          description: In ISO 8601 formatted date string
          title: Date Range End Date
          nullable: true
          type: string
          example: '2024-02-01'
        date_range_key:
          $ref: '#/components/schemas/PriorAuthorizationDateRangeKey'
          default: null
          description: >-
            The date key to use for date range filtering. This must be provided
            when using date range filters.
          nullable: true
        specialties:
          default: null
          title: Specialties
          nullable: true
          items:
            $ref: '#/components/schemas/PublicSpecialty'
          type: array
        service_location_ids:
          default: null
          title: Service Location Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        payor_entity_ids:
          default: null
          title: Payor Entity Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        statuses:
          default: null
          title: Statuses
          nullable: true
          items:
            $ref: '#/components/schemas/PublicBulkExportPriorAuthorizationStatus'
          type: array
        authorization_types:
          default: null
          title: Authorization Types
          nullable: true
          items:
            $ref: '#/components/schemas/PriorAuthorizationType'
          type: array
        patient_id:
          default: null
          title: Patient Id
          nullable: true
          format: uuid
          type: string
        patient_plan_ids:
          default: null
          title: Patient Plan Ids
          nullable: true
          items:
            format: uuid
            type: string
          type: array
        patient_status:
          default: null
          title: Patient Status
          nullable: true
          items:
            $ref: '#/components/schemas/PatientStatus'
          type: array
      required:
        - export_type
      title: V1PriorAuthorizationExportQueryParams
      type: object
      x-folder: public_api
    PublicApiErrorType:
      type: string
      enum:
        - AUTH_INVALID_REQUEST_HEADER
        - AUTH_INVALID_CREDENTIALS
      x-folder: null
    BenefitsCheckDateRangeKey:
      type: string
      enum:
        - created_at
        - updated_at
        - date_verified
        - plan_start_date
        - plan_end_date
        - due_date
        - released_at
      x-folder: benefit_check
    BenefitsCheckStatusPublic:
      type: string
      enum:
        - REQUESTED
        - AWAITING_SILNA
        - AWAITING_PROVIDER
        - COMPLETE
        - WITHDRAWN
      x-folder: benefit_check
    EligibilityDateRangeKey:
      type: string
      enum:
        - created_at
        - updated_at
        - date_verified
        - start_date
        - end_date
        - released_at
      x-folder: eligibility_check
    EligibilityCheckStatus:
      type: string
      enum:
        - ELIGIBLE
        - INELIGIBLE
        - INCOMPLETE
        - EDI_PROCESSING
        - REQUESTED
        - AWAITING_PROVIDER
        - WITHDRAWN
      x-folder: eligibility_check
    EscalationProviderDisplayStatus:
      type: string
      enum:
        - NEW
        - IN_PROGRESS
        - RESOLVED
        - WITHDRAWN
      x-folder: escalations
    PatientStatus:
      type: string
      enum:
        - INTAKE
        - ACTIVE
        - DISCHARGED
        - ON_HOLD
      x-folder: patient
    PriorAuthorizationDateRangeKey:
      type: string
      enum:
        - start_date
        - end_date
        - created_at
        - updated_at
        - submitted_at
        - released_at
        - due_date
      x-folder: prior_authorization
    PublicSpecialty:
      type: string
      enum:
        - PHYSICAL_THERAPY
        - ABA_THERAPY
        - SPEECH_THERAPY
        - OCCUPATIONAL_THERAPY
        - PSYCHOLOGICAL_TESTING
        - HOME_HEALTH_CARE
        - HOSPICE
        - CARDIAC_REHABILITATION
        - INTENSIVE_CARDIAC_REHABILITATION
        - MENTAL_HEALTH
        - PRINCIPAL_ILLNESS_NAVIGATION
        - PRINCIPAL_CARE_MANAGEMENT
        - ADVANCED_PRIMARY_CARE_MODELS
        - PREVENTATIVE_HEALTH
        - PARTIAL_HOSPITALIZATION_PROGRAM
        - INTENSIVE_OUTPATIENT_PROGRAM
        - INTERVENTIONAL_RADIOLOGY
        - VASCULAR_SURGERY
        - INTERVENTIONAL_CARDIOLOGY
        - ORTHOPEDICS
        - CHIROPRACTIC
        - GYNECOLOGY
        - LONG_TERM_CARE
        - NUTRITIONAL_COUNSELING
        - PHYSICAL_MEDICINE
        - PULMONARY_REHABILITATION
        - INJECTABLE_SPECIALTY_MEDICATIONS
        - ALLERGY_TESTING
        - SKILLED_NURSING
        - RADIOLOGY
        - OTOLARYNGOLOGY
        - DURABLE_MEDICAL_EQUIPMENT
        - DERMATOLOGY
        - PROFESSIONAL_OFFICE_VISIT
        - PSYCHIATRY
      x-folder: specialty
    PublicBulkExportPriorAuthorizationStatus:
      type: string
      enum:
        - DATA_REQUESTED
        - DATA_RECEIVED
        - ALL_REQUIRED_DATA_RECEIVED
        - REQUESTED
        - UNNECESSARY
        - AWAITING_PROVIDER
        - PENDING_PROVIDER_SUBMISSION_REVIEW
        - AWAITING_SILNA
        - APPROVED_TO_SUBMIT
        - SUBMITTED_TO_PAYOR
        - PAYOR_DENIED
        - PAYOR_DENIED_APPEALING
        - AWAITING_RESUBMISSION
        - RESUBMITTED_TO_PAYOR
        - PAYOR_APPROVED
        - DENIED_UNAPPEALED
        - PRELIMINARY_APPROVAL
        - PARTIALLY_APPROVED
        - WITHDRAWN
      x-folder: prior_authorization
    PriorAuthorizationType:
      type: string
      enum:
        - ASSESSMENT_AUTHORIZATION
        - INITIAL_AUTHORIZATION
        - CONCURRENT_AUTHORIZATION
        - AMENDMENT
      x-folder: prior_authorization
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````